Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515724 - [abrt] yad: XGetWindowAttributes(): yad killed by SIGSEGV
Summary: [abrt] yad: XGetWindowAttributes(): yad killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yad
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elder Marco
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1b94c6564f6f908b9fe205d038c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 09:35 UTC by Jérôme Fenal
Modified: 2018-05-29 11:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:35:17 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: cgroup (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: core_backtrace (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: cpuinfo (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: dso_list (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: environ (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: exploitable (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: limits (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: maps (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: open_fds (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: proc_pid_status (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details
File: var_log_messages (deleted)
2017-11-21 09:35 UTC, Jérôme Fenal
no flags Details

Description Jérôme Fenal 2017-11-21 09:35:04 UTC
Version-Release number of selected component:
yad-0.39.0-1.fc26

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        yad --no-escape --notebook --key=548887948 --tab=Overview --tab=All updates --tab=Enabled repos --on-top --fixed --no-focus --window-icon=/usr/share/icons/Bluecurve/256x256/apps/gnome-main-menu.png --geometry=450x270-0+0 --width=450 --height=270 --title= System Update Notifier  --image=/usr/share/icons/hicolor/48x48/apps/gpk-repo.png --button=Remind me in <b>~3 hours</b>:5 --button=<b>Update now</b>:0
crash_function: XGetWindowAttributes
executable:     /usr/bin/yad
journald_cursor: s=6d4743e684244ef69607b276a5432454;i=652a;b=ce0b2aba5fc84a568f08db8fbd88fd86;m=334721e40;t=55da710b95646;x=59218452e40539d0
kernel:         4.13.10-200.fc26.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XGetWindowAttributes at GetWAttrs.c:149
 #1 gtk_socket_realize at gtksocket.c:420
 #2 _g_closure_invoke_va at gclosure.c:867
 #5 gtk_widget_realize at gtkwidget.c:5461
 #6 gtk_widget_map at gtkwidget.c:4991
 #7 gtk_container_map at gtkcontainer.c:3681
 #8 _g_closure_invoke_va at gclosure.c:867
 #11 gtk_widget_map at gtkwidget.c:4993
 #12 gtk_notebook_forall at gtknotebook.c:4578
 #13 gtk_container_map at gtkcontainer.c:3681

Comment 1 Jérôme Fenal 2017-11-21 09:35:10 UTC
Created attachment 1356563 [details]
File: backtrace

Comment 2 Jérôme Fenal 2017-11-21 09:35:12 UTC
Created attachment 1356564 [details]
File: cgroup

Comment 3 Jérôme Fenal 2017-11-21 09:35:14 UTC
Created attachment 1356565 [details]
File: core_backtrace

Comment 4 Jérôme Fenal 2017-11-21 09:35:15 UTC
Created attachment 1356566 [details]
File: cpuinfo

Comment 5 Jérôme Fenal 2017-11-21 09:35:17 UTC
Created attachment 1356567 [details]
File: dso_list

Comment 6 Jérôme Fenal 2017-11-21 09:35:18 UTC
Created attachment 1356568 [details]
File: environ

Comment 7 Jérôme Fenal 2017-11-21 09:35:19 UTC
Created attachment 1356569 [details]
File: exploitable

Comment 8 Jérôme Fenal 2017-11-21 09:35:22 UTC
Created attachment 1356570 [details]
File: limits

Comment 9 Jérôme Fenal 2017-11-21 09:35:24 UTC
Created attachment 1356571 [details]
File: maps

Comment 10 Jérôme Fenal 2017-11-21 09:35:25 UTC
Created attachment 1356572 [details]
File: open_fds

Comment 11 Jérôme Fenal 2017-11-21 09:35:26 UTC
Created attachment 1356573 [details]
File: proc_pid_status

Comment 12 Jérôme Fenal 2017-11-21 09:35:27 UTC
Created attachment 1356574 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-05-03 08:09:17 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:35:17 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.